Package com.tibco.patterns.qbp

## Enum ANetricsQueryBuilderBuilderBase.ConfidenceType

- java.lang.Object
- - java.lang.Enum<ANetricsQueryBuilderBuilderBase.ConfidenceType>
  - - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.ConfidenceType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ANetricsQueryBuilderBuilderBase.ConfidenceType>`
  Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static enum ANetricsQueryBuilderBuilderBase.ConfidenceType
      extends java.lang.Enum<ANetricsQueryBuilderBuilderBase.ConfidenceType>

  Code values for supported types of confidence measures.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | Use the model version default confidence score.
    `FEATURE` | Use the feature score based confidence score.
    `NONE` | Do not compute a confidence score.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAPICode()` |
    `static ANetricsQueryBuilderBuilderBase.ConfidenceType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ANetricsQueryBuilderBuilderBase.ConfidenceType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ANetricsQueryBuilderBuilderBase.ConfidenceType NONE

      Do not compute a confidence score.

    - #### DEFAULT

          public static final ANetricsQueryBuilderBuilderBase.ConfidenceType DEFAULT

      Use the model version default confidence score.

    - #### FEATURE

          public static final ANetricsQueryBuilderBuilderBase.ConfidenceType FEATURE

      Use the feature score based confidence score.

  - ### Method Detail

    - #### values

          public static ANetricsQueryBuilderBuilderBase.ConfidenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ANetricsQueryBuilderBuilderBase.ConfidenceType c : ANetricsQueryBuilderBuilderBase.ConfidenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ANetricsQueryBuilderBuilderBase.ConfidenceType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAPICode

          public int getAPICode()

      Returns:
        the Patterns server code value for the Confidence type.